<?php
/**
 * The template for displaying the footer
 */
if (!defined('ABSPATH')) {
    exit();
}
?>
</div><!-- content / End -->
<?php
$kepler_footer_middle_layout = kepler_options_var('kepler-footer-middle-layout');
if (kepler_options_var('kepler-footer-middle-switch') == 1):
    ?>
    <div id="footer">
        <div class="container">
            <div class="row">

                <?php
                // Sets widget area classes for middle footer
                $middle_layout_class = "span3";

                if ($kepler_footer_middle_layout == 3) {
                    $middle_layout_class = "span4";
                } elseif ($kepler_footer_middle_layout == 2) {
                    $middle_layout_class = "span6";
                } elseif ($kepler_footer_middle_layout == 1) {
                    $middle_layout_class = "span12";
                }
                $count = 1;
                for ($count; $count <= $kepler_footer_middle_layout; $count++) {
                    ?>
                    <div class="<?php
                    if ($kepler_footer_middle_layout == 2 && $count==2) {
                        echo 'offset1 span5';
                    } else {
                        echo esc_attr($middle_layout_class);
                    }
                    ?>">
                             <?php
                             if (function_exists('dynamic_sidebar')) {

                                 if (is_active_sidebar('kepler-footer-middle-sidebar-' . $count)) {
                                     dynamic_sidebar('kepler-footer-middle-sidebar-' . $count);
                                 } else {
                                     ?>
                                <div class="kepler-no-area-content"><?php echo esc_html__('Footer Widget Area ', 'kepler-wp') . esc_html($count); ?></div>
                                <?php
                            }
                        }
                        ?>

                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
<?php endif; ?>
<!-- //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// -->

</div><!-- wrapper / End -->

<a id="back-to-top" href="#">
    <i class="ifc-up4"></i>
</a>

<?php wp_footer(); ?>

</body>
</html>