<?php

if (is_page() || get_post_type() == 'erp-portfolio') {
    // Sidebar data for each page
    $current_page_id = get_queried_object_id();
    $sidebar_id = get_post_meta($current_page_id, 'kepler_sidebar_source', true);
} else {
    // Sidebar data for the rest of the post types (blog sidebar)
    $page_for_posts = get_option('page_for_posts');
    $sidebar_id = get_post_meta($page_for_posts, 'kepler_sidebar_source', true);
    if ($page_for_posts == 0) {
        $sidebar_id = 'kepler-default-sidebar';
    }
}

if (class_exists('woocommerce')) {

    if (is_singular('product')) {
        $sidebar_id = get_post_meta(get_the_id(), 'kepler_sidebar_source', true);
         $sidebar_position = get_post_meta(get_the_id(), 'kepler_sidebar_position', true);
        if (!empty($sidebar_position) && $sidebar_position != 'none') {
            $sidebar_id = get_post_meta(get_the_id(), 'kepler_sidebar_source', true);
        }else {$sidebar_id='';}
    } else if (is_woocommerce()) {
       $sidebar_position = get_post_meta(get_the_id(), 'kepler_sidebar_position', true);
        if (!empty($sidebar_position) && $sidebar_position != 'none') {
        $sidebar_id = get_post_meta(get_option('woocommerce_shop_page_id'), 'kepler_sidebar_source', true);
        }else {$sidebar_id='';}
    }
}

if (!empty($sidebar_id)) {
    if (function_exists('dynamic_sidebar')) {
        echo '<div class="span3">';
        dynamic_sidebar($sidebar_id);
        echo '</div>';
    }
}