<?php
/*
 * Template used for displaying the single posts content
 */
if (!defined('ABSPATH')) {
    exit();
}
?>
<div <?php post_class(); ?>>

    <?php if (has_post_thumbnail()) { ?>	
        <a href="<?php the_permalink(); ?>" class="post-thumbnail">
            <?php the_post_thumbnail(); ?>
        </a>
    <?php } ?>

    <div class="post-header">							

        <span class="posted-on"><?php echo get_the_date('M. d, Y'); ?></span>

        <h3 class="post-title"><a rel="bookmark" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>

        <span class="byline"><?php echo get_the_author(); ?></span>
        <?php if (has_tag()) { ?><span class="tags-links"><?php echo the_tags(''); ?></span><?php } ?>
        <span class="comments-link"><a title="<?php esc_html_e('Comment on Post ', 'kepler-wp'); ?>" href="<?php comments_link(); ?>"><?php esc_html_e('Leave a comment', 'kepler-wp'); ?></a></span>	
    </div><!-- .post-header -->
    <div class="post-content">

        <?php the_content(''); ?>

    </div><!-- .post-content -->
    <div class="post-footer">																								
        <?php
        wp_link_pages();
        posts_nav_link();
        if (has_category()) {
            echo '<br>';
            esc_html_e('Categories: ', 'kepler-wp');
            the_category(', ');
        }
        ?>
    </div><!-- .post-footer -->

</div>
<?php comments_template(); ?> 